Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Attributes | List of all members
TimeSlider Class Reference
Inheritance diagram for TimeSlider:

## Public Member Functions
| __init__ (self, parent, slidersize, sliderStartFrame, sliderEndFrame, curFrame)
| DrawFrame (self, dc)
| DrawKeys (self, dc)
| DrawNumber (self, dc)
| DrawTimeSlider (self, dc)
| InitBuffer (self)
| OnLeftDown (self, evt)
| OnLeftUp (self, evt)
| OnMotion (self, evt)
| OnPaint (self, evt)
| OnSize (self, evt)
| SetTimeSliderData (self, sliderStartFrame=1, sliderEndFrame=24, curFrame=0)

## Public Attributes
| buffer = wx.EmptyBitmap(self.w, self.h)
| curFrame = curFrame
| curRect = wx.Rect(pos, float(0), self.unitWidth, self.h)
int | frameNum = self.sliderEndFrame-self.sliderStartFrame+1
| h = self.GetClientSize()
list | numbers = []
| OnLeftDown
| OnLeftUp
| OnMotion
| OnPaint
| OnSize
list | points = []
| sliderEndFrame = sliderEndFrame
| sliderStartFrame = sliderStartFrame
| unitWidth = self.w/float(self.frameNum)
| w

## Protected Attributes
| _mainDialog = wx.GetTopLevelParent(self)
bool | _mouseIn = False

## Detailed Description

    This is the Time Slider Panel.

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | parent,
|  |  | slidersize,
|  |  | sliderStartFrame,
|  |  | sliderEndFrame,
|  |  | curFrame )

## Member Function Documentation

## ◆ DrawFrame()

DrawFrame | ( |  | self,
|  |  | dc )

## ◆ DrawKeys()

DrawKeys | ( |  | self,
|  |  | dc )

## ◆ DrawNumber()

DrawNumber | ( |  | self,
|  |  | dc )

## ◆ DrawTimeSlider()

DrawTimeSlider | ( |  | self,
|  |  | dc )

## ◆ InitBuffer()

InitBuffer | ( |  | self | ) |

## ◆ OnLeftDown()

OnLeftDown | ( |  | self,
|  |  | evt )

## ◆ OnLeftUp()

OnLeftUp | ( |  | self,
|  |  | evt )

## ◆ OnMotion()

OnMotion | ( |  | self,
|  |  | evt )

## ◆ OnPaint()

OnPaint | ( |  | self,
|  |  | evt )

## ◆ OnSize()

OnSize | ( |  | self,
|  |  | evt )

## ◆ SetTimeSliderData()

SetTimeSliderData | ( |  | self,
|  |  | sliderStartFrame = 1,
|  |  | sliderEndFrame = 24,
|  |  | curFrame = 0 )

## Member Data Documentation

## ◆ _mainDialog

_mainDialog = wx.GetTopLevelParent(self)
| protected

## ◆ _mouseIn

bool _mouseIn = False
| protected

## ◆ buffer

buffer = wx.EmptyBitmap(self.w, self.h)

## ◆ curFrame

curFrame = curFrame

## ◆ curRect

curRect = wx.Rect(pos, float(0), self.unitWidth, self.h)

## ◆ frameNum

frameNum = self.sliderEndFrame-self.sliderStartFrame+1

## ◆ h

h = self.GetClientSize()

## ◆ numbers

list numbers = []

## ◆ OnLeftDown

OnLeftDown

## ◆ OnLeftUp

OnLeftUp

## ◆ OnMotion

OnMotion

## ◆ OnPaint

OnPaint

## ◆ OnSize

OnSize

## ◆ points

list points = []

## ◆ sliderEndFrame

sliderEndFrame = sliderEndFrame

## ◆ sliderStartFrame

sliderStartFrame = sliderStartFrame

## ◆ unitWidth

unitWidth = self.w/float(self.frameNum)

## ◆ w

w